//
// Headings
// ==========================================

h1, h2, h3, h4, h5, h6 {
    font-family: $headings--font-family;
    font-weight: 400;
    line-height: $headings--line-height;
    margin: 0 0 20px;

    @media print {
        orphans: 3;
        page-break-after: avoid;
        page-break-inside: avoid;
        widows: 3;
    }
}

h1 {
    @include rem(font-size,$h1--font-size);
}

h2 {
    @include rem(font-size,$h2--font-size);

    @media print {
        orphans: 3;
        widows: 3;
    }
}

h3 {
    @include rem(font-size,$h3--font-size);

    @media print {
        orphans: 3;
        widows: 3;
    }

    .entry-content & {
        font-weight: 600;
    }
}

h4 {
    @include rem(font-size,$h4--font-size);

    .entry-content & {
        font-weight: 600;
        margin-top: 40px;
    }
}

h5 {
    @include rem(font-size,$h5--font-size);
}

h6 {
    @include rem(font-size,$h6--font-size);
}